# Visualization
TKV3d
Graphic3d

# Graphic3d_Texture1Dmanual Class Reference

This class provides the implementation of
a manual 1D texture.
you MUST provides texture coordinates on
your facets if you want to see your
texture.
.

`#include <Graphic3d_Texture1Dmanual.hxx>`

Inheritance diagram for Graphic3d_Texture1Dmanual:

[legend]

## Public Member Functions

Standard_EXPORT | Graphic3d_Texture1Dmanual (const Handle(Graphic3d_StructureManager)&SM, const Standard_CString FileName)
| Creates a texture from the file FileName. .
Standard_EXPORT | Graphic3d_Texture1Dmanual (const Handle(Graphic3d_StructureManager)&SM, const Graphic3d_NameOfTexture1D NOT)
| Create a texture from a predefined texture name set. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_Texture1Dmanual::Graphic3d_Texture1Dmanual | ( | const Handle(Graphic3d_StructureManager)& | SM,
|  | const Standard_CString | FileName
| ) |

Standard_EXPORT Graphic3d_Texture1Dmanual::Graphic3d_Texture1Dmanual | ( | const Handle(Graphic3d_StructureManager)& | SM,
|  | const Graphic3d_NameOfTexture1D | NOT
| ) |

## Member Function Documentation

Standard_EXPORT const Graphic3d_Texture1Dmanual::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic3d_Texture1D.

The documentation for this class was generated from the following file:

- Graphic3d_Texture1Dmanual.hxx